1.12. API
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
multicluster engine Operator を使用して、クラスターライフサイクル管理用の次の API にアクセスできます。ユーザーに必要なアクセス権: ロールが割り当てられているアクションのみを実行できます。
注: 統合コンソールからすべての API にアクセスすることもできます。local-cluster ビューから、Home > API Explorer に移動して、API グループを確認します。
詳細は、以下の各リソースに関する API のドキュメントを参照してください。
1.12.1. Clusters API リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.1.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、multicluster engine for Kubernetes Operator の Cluster リソースに関するものです。Cluster リソースには、create、query、delete、update の 4 つの要求を使用できます。
1.12.1.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.1.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io: クラスターを作成して管理します。
1.12.1.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.1.5. 全クラスターのクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1/managedclusters
1.12.1.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
クラスターに対してクエリーを実行して詳細を確認します。
1.12.1.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
1.12.1.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.1.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
cluster/yaml
1.12.1.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.1.11. クラスターの作成 リンクのコピーリンクがクリップボードにコピーされました!
POST /cluster.open-cluster-management.io/v1/managedclusters
1.12.1.12. 説明 リンクのコピーリンクがクリップボードにコピーされました!
クラスターの作成
1.12.1.13. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Body |
body | 作成するクラスターを記述するパラメーター |
1.12.1.14. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.1.15. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
cluster/yaml
1.12.1.16. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.1.17. HTTP リクエストボディーの例 リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion" : "cluster.open-cluster-management.io/v1",
"kind" : "ManagedCluster",
"metadata" : {
"labels" : {
"vendor" : "OpenShift"
},
"name" : "cluster1"
},
"spec": {
"hubAcceptsClient": true,
"managedClusterClientConfigs": [
{
"caBundle": "test",
"url": "https://test.com"
}
]
},
"status" : { }
}
1.12.1.18. 単一クラスターのクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
1.12.1.19. 説明 リンクのコピーリンクがクリップボードにコピーされました!
1 つのクラスターに対してクエリーを実行して詳細を確認します。
1.12.1.20. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
cluster_name | 問い合わせるクラスターの名前。 | string |
1.12.1.21. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.1.22. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.1.23. クラスターの削除 リンクのコピーリンクがクリップボードにコピーされました!
DELETE /cluster.open-cluster-management.io/v1/managedclusters/{cluster_name}
1.12.1.24. 説明 リンクのコピーリンクがクリップボードにコピーされました!
単一クラスターを削除します。
1.12.1.25. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
cluster_name | 削除するクラスターの名前。 | string |
1.12.1.26. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.1.27. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.1.28. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.12.1.29. クラスター リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | スキーマ |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| 名前 | スキーマ |
|---|---|
|
hubAcceptsClient | bool |
|
managedClusterClientConfigs | < managedClusterClientConfigs > array |
|
leaseDurationSeconds | integer (int32) |
managedClusterClientConfigs
| 名前 | 説明 | スキーマ |
|---|---|---|
|
URL | string | |
|
CABundle | Pattern:
| string (バイト) |
1.12.2. Clustersets API (v1beta2) リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.2.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、multicluster engine for Kubernetes Operator の Clusterset リソースに関するものです。Clusterset リソースには、create、query、delete、update の 4 つの要求を使用できます。
1.12.2.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.2.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io: Clustersets を作成して管理します。
1.12.2.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.2.5. 全 clusterset のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1beta2/managedclustersets
1.12.2.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
Clustersets に対してクエリーを実行して詳細を確認します。
1.12.2.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
1.12.2.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.2.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
clusterset/yaml
1.12.2.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.2.11. clusterset の作成 リンクのコピーリンクがクリップボードにコピーされました!
POST /cluster.open-cluster-management.io/v1beta2/managedclustersets
1.12.2.12. 説明 リンクのコピーリンクがクリップボードにコピーされました!
Clusterset を作成します。
1.12.2.13. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Body |
body | 作成する clusterset を記述するパラメーター |
1.12.2.14. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.2.15. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
clusterset/yaml
1.12.2.16. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.2.17. HTTP リクエストボディーの例 リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion" : "cluster.open-cluster-management.io/v1beta2",
"kind" : "ManagedClusterSet",
"metadata" : {
"name" : "clusterset1"
},
"spec": { },
"status" : { }
}
1.12.2.18. 単一 clusterset のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1beta2/managedclustersets/{clusterset_name}
1.12.2.19. 説明 リンクのコピーリンクがクリップボードにコピーされました!
単一の clusterset に対してクエリーを実行して詳細を確認します。
1.12.2.20. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
clusterset_name | 問い合わせる clusterset の名前。 | string |
1.12.2.21. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.2.22. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.2.23. clusterset の削除 リンクのコピーリンクがクリップボードにコピーされました!
DELETE /cluster.open-cluster-management.io/v1beta2/managedclustersets/{clusterset_name}
1.12.2.24. 説明 リンクのコピーリンクがクリップボードにコピーされました!
単一 clusterset を削除します。
1.12.2.25. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
clusterset_name | 削除する clusterset の名前。 | string |
1.12.2.26. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.2.27. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.2.28. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.12.2.29. Clusterset リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | スキーマ |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
1.12.3. Clustersetbindings API (v1beta2) リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.3.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、Kubernetes のマルチクラスターエンジンの clustersetbinding リソースを対象としています。Clustersetbinding リソースには、create、query、delete、update の 4 つの要求を使用できます。
1.12.3.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.3.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io: clustersetbinding を作成して管理します。
1.12.3.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.3.5. 全 clustersetbinding のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1beta2/namespaces/{namespace}/managedclustersetbindings
1.12.3.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
clustersetbinding に対してクエリーを実行して詳細を確認します。
1.12.3.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
namespace | 使用する namespace (例: default) | string |
1.12.3.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.3.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
clustersetbinding/yaml
1.12.3.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.3.11. clustersetbinding の作成 リンクのコピーリンクがクリップボードにコピーされました!
POST /cluster.open-cluster-management.io/v1beta2/namespaces/{namespace}/managedclustersetbindings
1.12.3.12. 説明 リンクのコピーリンクがクリップボードにコピーされました!
clustersetbinding を作成します。
1.12.3.13. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
namespace | 使用する namespace (例: default) | string |
| Body |
body | 作成する clustersetbinding を記述するパラメーター |
1.12.3.14. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.3.15. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
clustersetbinding/yaml
1.12.3.16. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.3.17. HTTP リクエストボディーの例 リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion" : "cluster.open-cluster-management.io/v1",
"kind" : "ManagedClusterSetBinding",
"metadata" : {
"name" : "clusterset1",
"namespace" : "ns1"
},
"spec": {
"clusterSet": "clusterset1"
},
"status" : { }
}
1.12.3.18. 単一 clustersetbinding のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1beta2/namespaces/{namespace}/managedclustersetbindings/{clustersetbinding_name}
1.12.3.19. 説明 リンクのコピーリンクがクリップボードにコピーされました!
単一の clustersetbinding に対してクエリーを実行して詳細を確認します。
1.12.3.20. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
namespace | 使用する namespace (例: default) | string |
| Path |
clustersetbinding_name | 問い合わせる clustersetbinding の名前 | string |
1.12.3.21. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.3.22. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.3.23. clustersetbinding の削除 リンクのコピーリンクがクリップボードにコピーされました!
DELETE /cluster.open-cluster-management.io/v1beta2/managedclustersetbindings/{clustersetbinding_name}
1.12.3.24. 説明 リンクのコピーリンクがクリップボードにコピーされました!
単一 clustersetbinding を削除します。
1.12.3.25. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
namespace | 使用する namespace (例: default) | string |
| Path |
clustersetbinding_name | 削除する clustersetbinding の名前 | string |
1.12.3.26. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.3.27. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.3.28. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.12.3.29. Clustersetbinding リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | スキーマ |
|---|---|
|
apiVersion | string |
|
kind | string |
|
metadata | object |
|
spec |
spec
| 名前 | スキーマ |
|---|---|
|
clusterSet | string |
1.12.4. Clusterview API (v1alpha1) リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.4.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、Kubernetes のマルチクラスターエンジンの clusterview リソースを対象としています。clusterview リソースには、アクセス可能なマネージドクラスターおよびマネージドクラスターセットのリストを表示できる CLI コマンドが含まれます。使用できる要求は、list、get、および watch の 3 つです。
1.12.4.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.4.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- clusterview.open-cluster-management.io: お使いの ID がアクセスできるマネージドクラスターのリストを表示します。
1.12.4.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.4.5. マネージドクラスターの取得 リンクのコピーリンクがクリップボードにコピーされました!
GET /managedclusters.clusterview.open-cluster-management.io
1.12.4.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
アクセス可能なマネージドクラスターのリストを表示します。
1.12.4.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
1.12.4.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.4.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
managedcluster/yaml
1.12.4.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
- clusterview.open-cluster-management.io
1.12.4.11. マネージドクラスターのリスト表示 リンクのコピーリンクがクリップボードにコピーされました!
LIST /managedclusters.clusterview.open-cluster-management.io
1.12.4.12. 説明 リンクのコピーリンクがクリップボードにコピーされました!
アクセス可能なマネージドクラスターのリストを表示します。
1.12.4.13. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Body |
body | マネージドクラスターをリスト表示するユーザー ID の名前 | string |
1.12.4.14. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.4.15. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
managedcluster/yaml
1.12.4.16. タグ リンクのコピーリンクがクリップボードにコピーされました!
- clusterview.open-cluster-management.io
1.12.4.17. HTTP リクエストボディーの例 リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion" : "clusterview.open-cluster-management.io/v1alpha1",
"kind" : "ClusterView",
"metadata" : {
"name" : "<user_ID>"
},
"spec": { },
"status" : { }
}
1.12.4.18. マネージドクラスターセットの監視 リンクのコピーリンクがクリップボードにコピーされました!
WATCH /managedclusters.clusterview.open-cluster-management.io
1.12.4.19. 説明 リンクのコピーリンクがクリップボードにコピーされました!
アクセス可能なマネージドクラスターを確認します。
1.12.4.20. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
clusterview_name | 監視するユーザー ID の名前 | string |
1.12.4.21. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.4.22. マネージドクラスターセットのリスト表示 リンクのコピーリンクがクリップボードにコピーされました!
GET /managedclustersets.clusterview.open-cluster-management.io
1.12.4.23. 説明 リンクのコピーリンクがクリップボードにコピーされました!
アクセス可能なマネージドクラスターをリスト表示します。
1.12.4.24. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
clusterview_name | 監視するユーザー ID の名前 | string |
1.12.4.25. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.4.26. マネージドクラスターセットのリスト表示 リンクのコピーリンクがクリップボードにコピーされました!
LIST /managedclustersets.clusterview.open-cluster-management.io
1.12.4.27. 説明 リンクのコピーリンクがクリップボードにコピーされました!
アクセス可能なマネージドクラスターをリスト表示します。
1.12.4.28. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
clusterview_name | 監視するユーザー ID の名前 | string |
1.12.4.29. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.4.30. マネージドクラスターセットの監視 リンクのコピーリンクがクリップボードにコピーされました!
WATCH /managedclustersets.clusterview.open-cluster-management.io
1.12.4.31. 説明 リンクのコピーリンクがクリップボードにコピーされました!
アクセス可能なマネージドクラスターを確認します。
1.12.4.32. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
clusterview_name | 監視するユーザー ID の名前 | string |
1.12.4.33. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.5. ManagedServiceAccount API (v1alpha1) (非推奨) リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.5.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、multicluster engine Operator の ManagedServiceAccount リソースに関するものです。ManagedServiceAccount リソースには、create、query、delete、update の 4 つのリクエストがあります。
非推奨: v1alpha1 API は非推奨になりました。最適な結果を得るには、代わりに v1beta1 を使用します。
1.12.5.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.5.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
-
managedserviceaccounts.authentication.open-cluster-management.io`:ManagedServiceAccountsの作成と管理
1.12.5.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.5.5. ManagedServiceAccount を作成する リンクのコピーリンクがクリップボードにコピーされました!
POST /authentication.open-cluster-management.io/v1beta1/managedserviceaccounts
1.12.5.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
ManagedServiceAccount を作成します。
1.12.5.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Body |
body | 作成する ManagedServiceAccount を説明するパラメーター。 | ManagedServiceAccount |
1.12.5.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.5.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
managedserviceaccount/yaml
1.12.5.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
- managedserviceaccounts.authentication.open-cluster-management.io
1.12.5.11. リクエストのボディー リンクのコピーリンクがクリップボードにコピーされました!
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
annotations:
controller-gen.kubebuilder.io/version: v0.14.0
name: managedserviceaccounts.authentication.open-cluster-management.io
spec:
group: authentication.open-cluster-management.io
names:
kind: ManagedServiceAccount
listKind: ManagedServiceAccountList
plural: managedserviceaccounts
singular: managedserviceaccount
scope: Namespaced
versions:
- deprecated: true
deprecationWarning: authentication.open-cluster-management.io/v1alpha1 ManagedServiceAccount
is deprecated; use authentication.open-cluster-management.io/v1beta1 ManagedServiceAccount;
version v1alpha1 will be removed in the next release
name: v1alpha1
schema:
openAPIV3Schema:
description: ManagedServiceAccount is the Schema for the managedserviceaccounts
API
properties:
apiVersion:
description: |-
APIVersion defines the versioned schema of this representation of an object.
Servers should convert recognized schemas to the latest internal value, and
may reject unrecognized values.
More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
type: string
kind:
description: |-
Kind is a string value representing the REST resource this object represents.
Servers may infer this from the endpoint the client submits requests to.
Cannot be updated.
In CamelCase.
More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
type: string
metadata:
type: object
spec:
description: ManagedServiceAccountSpec defines the desired state of ManagedServiceAccount
properties:
rotation:
description: Rotation is the policy for rotation the credentials.
properties:
enabled:
default: true
description: |-
Enabled prescribes whether the ServiceAccount token will
be rotated from the upstream
type: boolean
validity:
default: 8640h0m0s
description: Validity is the duration for which the signed ServiceAccount
token is valid.
type: string
type: object
ttlSecondsAfterCreation:
description: |-
ttlSecondsAfterCreation limits the lifetime of a ManagedServiceAccount.
If the ttlSecondsAfterCreation field is set, the ManagedServiceAccount will be
automatically deleted regardless of the ManagedServiceAccount's status.
When the ManagedServiceAccount is deleted, its lifecycle guarantees
(e.g. finalizers) will be honored. If this field is unset, the ManagedServiceAccount
won't be automatically deleted. If this field is set to zero, the
ManagedServiceAccount becomes eligible for deletion immediately after its creation.
In order to use ttlSecondsAfterCreation, the EphemeralIdentity feature gate must be enabled.
exclusiveMinimum: true
format: int32
minimum: 0
type: integer
required:
- rotation
type: object
status:
description: ManagedServiceAccountStatus defines the observed state of
ManagedServiceAccount
properties:
conditions:
description: Conditions is the condition list.
items:
description: "Condition contains details for one aspect of the current
state of this API Resource.\n---\nThis struct is intended for
direct use as an array at the field path .status.conditions. For
example,\n\n\n\ttype FooStatus struct{\n\t // Represents the
observations of a foo's current state.\n\t // Known .status.conditions.type
are: \"Available\", \"Progressing\", and \"Degraded\"\n\t //
+patchMergeKey=type\n\t // +patchStrategy=merge\n\t // +listType=map\n\t
\ // +listMapKey=type\n\t Conditions []metav1.Condition `json:\"conditions,omitempty\"
patchStrategy:\"merge\" patchMergeKey:\"type\" protobuf:\"bytes,1,rep,name=conditions\"`\n\n\n\t
\ // other fields\n\t}"
properties:
lastTransitionTime:
description: |-
lastTransitionTime is the last time the condition transitioned from one status to another.
This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.
format: date-time
type: string
message:
description: |-
message is a human readable message indicating details about the transition.
This may be an empty string.
maxLength: 32768
type: string
observedGeneration:
description: |-
observedGeneration represents the .metadata.generation that the condition was set based upon.
For instance, if .metadata.generation is currently 12, but the .status.conditions[x].observedGeneration is 9, the condition is out of date
with respect to the current state of the instance.
format: int64
minimum: 0
type: integer
reason:
description: |-
reason contains a programmatic identifier indicating the reason for the condition's last transition.
Producers of specific condition types may define expected values and meanings for this field,
and whether the values are considered a guaranteed API.
The value should be a CamelCase string.
This field may not be empty.
maxLength: 1024
minLength: 1
pattern: ^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$
type: string
status:
description: status of the condition, one of True, False, Unknown.
enum:
- "True"
- "False"
- Unknown
type: string
type:
description: |-
type of condition in CamelCase or in foo.example.com/CamelCase.
---
Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be
useful (see .node.status.conditions), the ability to deconflict is important.
The regex it matches is (dns1123SubdomainFmt/)?(qualifiedNameFmt)
maxLength: 316
pattern: ^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$
type: string
required:
- lastTransitionTime
- message
- reason
- status
- type
type: object
type: array
expirationTimestamp:
description: ExpirationTimestamp is the time when the token will expire.
format: date-time
type: string
tokenSecretRef:
description: |-
TokenSecretRef is a reference to the corresponding ServiceAccount's Secret, which stores
the CA certficate and token from the managed cluster.
properties:
lastRefreshTimestamp:
description: |-
LastRefreshTimestamp is the timestamp indicating when the token in the Secret
is refreshed.
format: date-time
type: string
name:
description: Name is the name of the referenced secret.
type: string
required:
- lastRefreshTimestamp
- name
type: object
type: object
type: object
served: true
storage: false
subresources:
status: {}
- name: v1beta1
schema:
openAPIV3Schema:
description: ManagedServiceAccount is the Schema for the managedserviceaccounts
API
properties:
apiVersion:
description: |-
APIVersion defines the versioned schema of this representation of an object.
Servers should convert recognized schemas to the latest internal value, and
may reject unrecognized values.
More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
type: string
kind:
description: |-
Kind is a string value representing the REST resource this object represents.
Servers may infer this from the endpoint the client submits requests to.
Cannot be updated.
In CamelCase.
More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
type: string
metadata:
type: object
spec:
description: ManagedServiceAccountSpec defines the desired state of ManagedServiceAccount
properties:
rotation:
description: Rotation is the policy for rotation the credentials.
properties:
enabled:
default: true
description: |-
Enabled prescribes whether the ServiceAccount token will be rotated before it expires.
Deprecated: All ServiceAccount tokens will be rotated before they expire regardless of this field.
type: boolean
validity:
default: 8640h0m0s
description: Validity is the duration of validity for requesting
the signed ServiceAccount token.
type: string
type: object
ttlSecondsAfterCreation:
description: |-
ttlSecondsAfterCreation limits the lifetime of a ManagedServiceAccount.
If the ttlSecondsAfterCreation field is set, the ManagedServiceAccount will be
automatically deleted regardless of the ManagedServiceAccount's status.
When the ManagedServiceAccount is deleted, its lifecycle guarantees
(e.g. finalizers) will be honored. If this field is unset, the ManagedServiceAccount
won't be automatically deleted. If this field is set to zero, the
ManagedServiceAccount becomes eligible for deletion immediately after its creation.
In order to use ttlSecondsAfterCreation, the EphemeralIdentity feature gate must be enabled.
exclusiveMinimum: true
format: int32
minimum: 0
type: integer
required:
- rotation
type: object
status:
description: ManagedServiceAccountStatus defines the observed state of
ManagedServiceAccount
properties:
conditions:
description: Conditions is the condition list.
items:
description: "Condition contains details for one aspect of the current
state of this API Resource.\n---\nThis struct is intended for
direct use as an array at the field path .status.conditions. For
example,\n\n\n\ttype FooStatus struct{\n\t // Represents the
observations of a foo's current state.\n\t // Known .status.conditions.type
are: \"Available\", \"Progressing\", and \"Degraded\"\n\t //
+patchMergeKey=type\n\t // +patchStrategy=merge\n\t // +listType=map\n\t
\ // +listMapKey=type\n\t Conditions []metav1.Condition `json:\"conditions,omitempty\"
patchStrategy:\"merge\" patchMergeKey:\"type\" protobuf:\"bytes,1,rep,name=conditions\"`\n\n\n\t
\ // other fields\n\t}"
properties:
lastTransitionTime:
description: |-
lastTransitionTime is the last time the condition transitioned from one status to another.
This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.
format: date-time
type: string
message:
description: |-
message is a human readable message indicating details about the transition.
This may be an empty string.
maxLength: 32768
type: string
observedGeneration:
description: |-
observedGeneration represents the .metadata.generation that the condition was set based upon.
For instance, if .metadata.generation is currently 12, but the .status.conditions[x].observedGeneration is 9, the condition is out of date
with respect to the current state of the instance.
format: int64
minimum: 0
type: integer
reason:
description: |-
reason contains a programmatic identifier indicating the reason for the condition's last transition.
Producers of specific condition types may define expected values and meanings for this field,
and whether the values are considered a guaranteed API.
The value should be a CamelCase string.
This field may not be empty.
maxLength: 1024
minLength: 1
pattern: ^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$
type: string
status:
description: status of the condition, one of True, False, Unknown.
enum:
- "True"
- "False"
- Unknown
type: string
type:
description: |-
type of condition in CamelCase or in foo.example.com/CamelCase.
---
Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be
useful (see .node.status.conditions), the ability to deconflict is important.
The regex it matches is (dns1123SubdomainFmt/)?(qualifiedNameFmt)
maxLength: 316
pattern: ^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$
type: string
required:
- lastTransitionTime
- message
- reason
- status
- type
type: object
type: array
expirationTimestamp:
description: ExpirationTimestamp is the time when the token will expire.
format: date-time
type: string
tokenSecretRef:
description: |-
TokenSecretRef is a reference to the corresponding ServiceAccount's Secret, which stores
the CA certficate and token from the managed cluster.
properties:
lastRefreshTimestamp:
description: |-
LastRefreshTimestamp is the timestamp indicating when the token in the Secret
is refreshed.
format: date-time
type: string
name:
description: Name is the name of the referenced secret.
type: string
required:
- lastRefreshTimestamp
- name
type: object
type: object
type: object
served: true
storage: true
subresources:
status: {}
1.12.5.12. 単一の ManagedServiceAccount をクエリーする リンクのコピーリンクがクリップボードにコピーされました!
GET /authentication.open-cluster-management.io/v1beta1/namespaces/{namespace}/managedserviceaccounts/{managedserviceaccount_name}
1.12.5.13. 説明 リンクのコピーリンクがクリップボードにコピーされました!
詳細は、単一の ManagedServiceAccount を照会してください。
1.12.5.14. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
managedserviceaccount_name |
照会する | string |
1.12.5.15. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.5.16. タグ リンクのコピーリンクがクリップボードにコピーされました!
- managedserviceaccounts.authentication.open-cluster-management.io
1.12.5.17. ManagedServiceAccount を削除する リンクのコピーリンクがクリップボードにコピーされました!
DELETE /authentication.open-cluster-management.io/v1beta1/namespaces/{namespace}/managedserviceaccounts/{managedserviceaccount_name}
1.12.5.18. 説明 リンクのコピーリンクがクリップボードにコピーされました!
単一の ManagedServiceAccount を削除します。
1.12.5.19. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
managedserviceaccount_name |
削除する | string |
1.12.5.20. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.5.21. タグ リンクのコピーリンクがクリップボードにコピーされました!
- managedserviceaccounts.authentication.open-cluster-management.io
1.12.5.22. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.12.5.23. ManagedServiceAccount リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
apiVersion |
| string |
|
kind | REST リソースを表す文字列の値 | string |
|
metadata |
| object |
|
spec |
|
1.12.6. MultiClusterEngine API (v1alpha1) リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.6.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、Kubernetes のマルチクラスターエンジン用の MultiClusterEngine リソースを対象としています。MultiClusterEngine リソースには、create、query、delete、update の 4 つのリクエストがあります。
1.12.6.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.6.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- multiclusterengines.multicluster.openshift.io : MultiClusterEngine を作成および管理します。
1.12.6.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.6.5. MultiClusterEngine を作成する リンクのコピーリンクがクリップボードにコピーされました!
POST /apis/multicluster.openshift.io/v1alpha1/multiclusterengines
1.12.6.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
MultiClusterEngine を作成します。
1.12.6.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Body |
body | 作成する MultiClusterEngine を説明するパラメーター。 | MultiClusterEngine |
1.12.6.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.6.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
MultiClusterEngines/yaml
1.12.6.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
- multiclusterengines.multicluster.openshift.io
1.12.6.11. リクエストのボディー リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion": "apiextensions.k8s.io/v1",
"kind": "CustomResourceDefinition",
"metadata": {
"annotations": {
"controller-gen.kubebuilder.io/version": "v0.4.1"
},
"creationTimestamp": null,
"name": "multiclusterengines.multicluster.openshift.io"
},
"spec": {
"group": "multicluster.openshift.io",
"names": {
"kind": "MultiClusterEngine",
"listKind": "MultiClusterEngineList",
"plural": "multiclusterengines",
"shortNames": [
"mce"
],
"singular": "multiclusterengine"
},
"scope": "Cluster",
"versions": [
{
"additionalPrinterColumns": [
{
"description": "The overall state of the MultiClusterEngine",
"jsonPath": ".status.phase",
"name": "Status",
"type": "string"
},
{
"jsonPath": ".metadata.creationTimestamp",
"name": "Age",
"type": "date"
}
],
"name": "v1alpha1",
"schema": {
"openAPIV3Schema": {
"description": "MultiClusterEngine is the Schema for the multiclusterengines\nAPI",
"properties": {
"apiVersion": {
"description": "APIVersion defines the versioned schema of this representation\nof an object. Servers should convert recognized schemas to the latest\ninternal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources",
"type": "string"
},
"kind": {
"description": "Kind is a string value representing the REST resource this\nobject represents. Servers may infer this from the endpoint the client\nsubmits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds",
"type": "string"
},
"metadata": {
"type": "object"
},
"spec": {
"description": "MultiClusterEngineSpec defines the desired state of MultiClusterEngine",
"properties": {
"imagePullSecret": {
"description": "Override pull secret for accessing MultiClusterEngine\noperand and endpoint images",
"type": "string"
},
"nodeSelector": {
"additionalProperties": {
"type": "string"
},
"description": "Set the nodeselectors",
"type": "object"
},
"targetNamespace": {
"description": "Location where MCE resources will be placed",
"type": "string"
},
"tolerations": {
"description": "Tolerations causes all components to tolerate any taints.",
"items": {
"description": "The pod this Toleration is attached to tolerates any\ntaint that matches the triple <key,value,effect> using the matching\noperator <operator>.",
"properties": {
"effect": {
"description": "Effect indicates the taint effect to match. Empty\nmeans match all taint effects. When specified, allowed values\nare NoSchedule, PreferNoSchedule and NoExecute.",
"type": "string"
},
"key": {
"description": "Key is the taint key that the toleration applies\nto. Empty means match all taint keys. If the key is empty,\noperator must be Exists; this combination means to match all\nvalues and all keys.",
"type": "string"
},
"operator": {
"description": "Operator represents a key's relationship to the\nvalue. Valid operators are Exists and Equal. Defaults to Equal.\nExists is equivalent to wildcard for value, so that a pod\ncan tolerate all taints of a particular category.",
"type": "string"
},
"tolerationSeconds": {
"description": "TolerationSeconds represents the period of time\nthe toleration (which must be of effect NoExecute, otherwise\nthis field is ignored) tolerates the taint. By default, it\nis not set, which means tolerate the taint forever (do not\nevict). Zero and negative values will be treated as 0 (evict\nimmediately) by the system.",
"format": "int64",
"type": "integer"
},
"value": {
"description": "Value is the taint value the toleration matches\nto. If the operator is Exists, the value should be empty,\notherwise just a regular string.",
"type": "string"
}
},
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"status": {
"description": "MultiClusterEngineStatus defines the observed state of MultiClusterEngine",
"properties": {
"components": {
"items": {
"description": "ComponentCondition contains condition information for\ntracked components",
"properties": {
"kind": {
"description": "The resource kind this condition represents",
"type": "string"
},
"lastTransitionTime": {
"description": "LastTransitionTime is the last time the condition\nchanged from one status to another.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Message is a human-readable message indicating\ndetails about the last status change.",
"type": "string"
},
"name": {
"description": "The component name",
"type": "string"
},
"reason": {
"description": "Reason is a (brief) reason for the condition's\nlast status change.",
"type": "string"
},
"status": {
"description": "Status is the status of the condition. One of True,\nFalse, Unknown.",
"type": "string"
},
"type": {
"description": "Type is the type of the cluster condition.",
"type": "string"
}
},
"type": "object"
},
"type": "array"
},
"conditions": {
"items": {
"properties": {
"lastTransitionTime": {
"description": "LastTransitionTime is the last time the condition\nchanged from one status to another.",
"format": "date-time",
"type": "string"
},
"lastUpdateTime": {
"description": "The last time this condition was updated.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Message is a human-readable message indicating\ndetails about the last status change.",
"type": "string"
},
"reason": {
"description": "Reason is a (brief) reason for the condition's\nlast status change.",
"type": "string"
},
"status": {
"description": "Status is the status of the condition. One of True,\nFalse, Unknown.",
"type": "string"
},
"type": {
"description": "Type is the type of the cluster condition.",
"type": "string"
}
},
"type": "object"
},
"type": "array"
},
"phase": {
"description": "Latest observed overall state",
"type": "string"
}
},
"type": "object"
}
},
"type": "object"
}
},
"served": true,
"storage": true,
"subresources": {
"status": {}
}
}
]
},
"status": {
"acceptedNames": {
"kind": "",
"plural": ""
},
"conditions": [],
"storedVersions": []
}
}
1.12.6.12. すべての MultiClusterEngine をクエリーする リンクのコピーリンクがクリップボードにコピーされました!
GET /apis/multicluster.openshift.io/v1alpha1/multiclusterengines
1.12.6.13. 説明 リンクのコピーリンクがクリップボードにコピーされました!
詳細は、マルチクラスターエンジンに問い合わせてください。
1.12.6.14. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
1.12.6.15. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.6.16. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
operator/yaml
1.12.6.17. タグ リンクのコピーリンクがクリップボードにコピーされました!
- multiclusterengines.multicluster.openshift.io
1.12.6.18. MultiClusterEngine Operator の削除 リンクのコピーリンクがクリップボードにコピーされました!
DELETE /apis/multicluster.openshift.io/v1alpha1/multiclusterengines/{name}
1.12.6.19. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
name | 削除するマルチクラスターエンジンの名前。 | string |
1.12.6.20. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.6.21. タグ リンクのコピーリンクがクリップボードにコピーされました!
- multiclusterengines.multicluster.openshift.io
1.12.6.22. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.12.6.23. MultiClusterEngine リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
apiVersion | MultiClusterEngines のバージョン管理されたスキーマ。 | string |
|
kind | REST リソースを表す文字列の値 | string |
|
metadata | リソースを定義するルールを記述します。 | object |
|
spec | MultiClusterEngineSpec は、MultiClusterEngine の望ましい状態を定義します。 | 仕様のリスト を参照してください。 |
1.12.6.24. 仕様のリスト リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
nodeSelector | nodeselectors を設定します。 | map[string]string |
|
imagePullSecret | MultiClusterEngine オペランドおよびエンドポイントイメージにアクセスするためのプルシークレットをオーバーライドします。 | string |
|
tolerations | 許容範囲により、すべてのコンポーネントがあらゆる taint を許容します。 | []corev1.Toleration |
|
targetNamespace | MCE リソースが配置される場所。 | string |
1.12.7. Placements API (v1beta1) リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.7.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、multicluster engine for Kubernetes の Placement リソースに関するものです。Placement リソースには、create、query、delete、update の 4 つの要求を使用できます。
1.12.7.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.7.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io: Placement を作成して管理します。
1.12.7.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.7.5. 全 Placement のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/placements
1.12.7.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
Placement に対してクエリーを実行して詳細を確認します。
1.12.7.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
1.12.7.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.7.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
placement/yaml
1.12.7.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.7.11. Placement の作成 リンクのコピーリンクがクリップボードにコピーされました!
POST /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/placements
1.12.7.12. 説明 リンクのコピーリンクがクリップボードにコピーされました!
Placement を作成します。
1.12.7.13. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Body |
body | 作成する placement を記述するパラメーター |
1.12.7.14. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.7.15. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
placement/yaml
1.12.7.16. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.7.17. HTTP リクエストボディーの例 リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion" : "cluster.open-cluster-management.io/v1beta1",
"kind" : "Placement",
"metadata" : {
"name" : "placement1",
"namespace": "ns1"
},
"spec": {
"predicates": [
{
"requiredClusterSelector": {
"labelSelector": {
"matchLabels": {
"vendor": "OpenShift"
}
}
}
}
]
},
"status" : { }
}
1.12.7.18. 単一の Placement のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/placements/{placement_name}
1.12.7.19. 説明 リンクのコピーリンクがクリップボードにコピーされました!
1 つの Placement に対してクエリーを実行して詳細を確認します。
1.12.7.20. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
placement_name | 問い合わせる Placement の名前 | string |
1.12.7.21. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.7.22. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.7.23. Placement の削除 リンクのコピーリンクがクリップボードにコピーされました!
DELETE /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/placements/{placement_name}
1.12.7.24. 説明 リンクのコピーリンクがクリップボードにコピーされました!
単一の Placement を削除します。
1.12.7.25. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
placement_name | 削除する Placement の名前 | string |
1.12.7.26. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.7.27. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.7.28. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.12.7.29. Placement リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
apiVersion | Placement のバージョンスキーマ | string |
|
kind | REST リソースを表す文字列の値 | string |
|
metadata | Placement のメタデータ | object |
|
spec | Placement の仕様 |
spec
| 名前 | 説明 | スキーマ |
|---|---|---|
|
ClusterSets | ManagedClusters を選択する ManagedClusterSets のサブセット。空白の場合には、Placement namespace にバインドされる ManagedClusterSets から ManagedClusters が選択されます。それ以外の場合は、ManagedClusters がこのサブセットの交差部分から選択され、ManagedClusterSets は Placement namespace にバインドされます。 | string array |
|
numberOfClusters | 選択する ManagedClusters の必要数 | integer (int32) |
|
predicates | ManagedClusters を選択するクラスター述語のサブセット。条件ロジックは OR です。 | clusterPredicate アレイ |
clusterPredicate
| 名前 | 説明 | スキーマ |
|---|---|---|
|
requiredClusterSelector | ラベルおよびクラスター要求のある ManagedClusters を選択するクラスターセレクター |
clusterSelector
| 名前 | 説明 | スキーマ |
|---|---|---|
|
labelSelector | ラベル別の ManagedClusters のセレクター | object |
|
claimSelector | 要求別の ManagedClusters のセレクター |
clusterClaimSelector
| 名前 | 説明 | スキーマ |
|---|---|---|
|
matchExpressions | クラスター要求のセレクター要件のサブセット。条件ロジックは AND です。 | < オブジェクト > 配列 |
1.12.8. PlacementDecisions API (v1beta1) リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.8.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、Kubernetes のマルチクラスターエンジンの PlacementDecision リソースを対象としています。PlacementDecision リソースには、create、query、delete、update の 4 つの要求を使用できます。
1.12.8.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.8.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io: PlacementDecision を作成して管理します。
1.12.8.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.8.5. 全 PlacementDecision のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/placementdecisions
1.12.8.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
PlacementDecisions に対してクエリーを実行して詳細を確認します。
1.12.8.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
1.12.8.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.8.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
placementdecision/yaml
1.12.8.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.8.11. PlacementDecision の作成 リンクのコピーリンクがクリップボードにコピーされました!
POST /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/placementdecisions
1.12.8.12. 説明 リンクのコピーリンクがクリップボードにコピーされました!
PlacementDecision を作成します。
1.12.8.13. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Body |
body | 作成する PlacementDecision を記述するパラメーター |
1.12.8.14. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.8.15. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
placementdecision/yaml
1.12.8.16. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.8.17. HTTP リクエストボディーの例 リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion" : "cluster.open-cluster-management.io/v1beta1",
"kind" : "PlacementDecision",
"metadata" : {
"labels" : {
"cluster.open-cluster-management.io/placement" : "placement1"
},
"name" : "placement1-decision1",
"namespace": "ns1"
},
"status" : { }
}
1.12.8.18. 単一の PlacementDecision のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/placementdecisions/{placementdecision_name}
1.12.8.19. 説明 リンクのコピーリンクがクリップボードにコピーされました!
1 つの PlacementDecision に対してクエリーを実行して詳細を確認します。
1.12.8.20. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
placementdecision_name | 問い合わせる PlacementDecision の名前 | string |
1.12.8.21. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.8.22. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.8.23. PlacementDecision の削除 リンクのコピーリンクがクリップボードにコピーされました!
DELETE /cluster.open-cluster-management.io/v1beta1/namespaces/{namespace}/placementdecisions/{placementdecision_name}
1.12.8.24. 説明 リンクのコピーリンクがクリップボードにコピーされました!
単一の PlacementDecision を削除します。
1.12.8.25. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
placementdecision_name | 削除する PlacementDecision の名前 | string |
1.12.8.26. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.8.27. タグ リンクのコピーリンクがクリップボードにコピーされました!
- cluster.open-cluster-management.io
1.12.8.28. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.12.8.29. PlacementDecision リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
apiVersion | PlacementDecision のバージョンスキーマ | string |
|
kind | REST リソースを表す文字列の値 | string |
|
metadata | PlacementDecision のメタデータ | object |
1.12.9. KlusterletConfig API (v1alpha1) リンクのコピーリンクがクリップボードにコピーされました!
非推奨: API のドキュメントは非推奨となりました。現在のサポートされている API を表示するには、コンソールの API Explorer または oc コマンドを使用します。
1.12.9.1. 概要 リンクのコピーリンクがクリップボードにコピーされました!
このドキュメントは、multicluster engine for Kubernetes Operator の KlusterletConfig リソースに関するものです。KlusterletConfig リソースは、Klusterlet のインストールを設定するために使用されます。使用できる要求は、create、query、delete、update の 4 つです。
1.12.9.2. URI スキーム リンクのコピーリンクがクリップボードにコピーされました!
BasePath: /kubernetes/apis
Schemes: HTTPS
1.12.9.3. タグ リンクのコピーリンクがクリップボードにコピーされました!
- klusterletconfigs.config.open-cluster-management.io : klusterletconfigs の作成と管理
1.12.9.4. パス リンクのコピーリンクがクリップボードにコピーされました!
1.12.9.5. 全 KlusterletConfig のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /config.open-cluster-management.io/v1alpha1/klusterletconfigs
1.12.9.6. 説明 リンクのコピーリンクがクリップボードにコピーされました!
すべての KlusterletConfig に対してクエリーを実行して詳細を確認します。
1.12.9.7. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
1.12.9.8. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | KlusterletConfig yaml |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.9.9. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
klusterletconfig/yaml
1.12.9.10. タグ リンクのコピーリンクがクリップボードにコピーされました!
-
klusterletconfigs.config.open-cluster-management.io
1.12.9.11. KlusterletConfig を作成します。 リンクのコピーリンクがクリップボードにコピーされました!
POST /config.open-cluster-management.io/v1alpha1/klusterletconfigs
1.12.9.12. 説明 リンクのコピーリンクがクリップボードにコピーされました!
KlusterletConfig を作成します。
1.12.9.13. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Body |
body | 作成する KlusterletConfig を記述するパラメーター。 |
1.12.9.14. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.9.15. 消費されるアイテム リンクのコピーリンクがクリップボードにコピーされました!
-
klusterletconfig/yaml
1.12.9.16. タグ リンクのコピーリンクがクリップボードにコピーされました!
- klusterletconfigs.config.open-cluster-management.io
1.12.9.17. HTTP リクエストボディーの例 リンクのコピーリンクがクリップボードにコピーされました!
{
"apiVersion": "apiextensions.k8s.io/v1",
"kind": "CustomResourceDefinition",
"metadata": {
"annotations": {
"controller-gen.kubebuilder.io/version": "v0.7.0"
},
"creationTimestamp": null,
"name": "klusterletconfigs.config.open-cluster-management.io"
},
"spec": {
"group": "config.open-cluster-management.io",
"names": {
"kind": "KlusterletConfig",
"listKind": "KlusterletConfigList",
"plural": "klusterletconfigs",
"singular": "klusterletconfig"
},
"preserveUnknownFields": false,
"scope": "Cluster",
"versions": [
{
"name": "v1alpha1",
"schema": {
"openAPIV3Schema": {
"description": "KlusterletConfig contains the configuration of a klusterlet including the upgrade strategy, config overrides, proxy configurations etc.",
"properties": {
"apiVersion": {
"description": "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources",
"type": "string"
},
"kind": {
"description": "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds",
"type": "string"
},
"metadata": {
"type": "object"
},
"spec": {
"description": "Spec defines the desired state of KlusterletConfig",
"properties": {
"appliedManifestWorkEvictionGracePeriod": {
"description": "AppliedManifestWorkEvictionGracePeriod is the eviction grace period the work agent will wait before evicting the AppliedManifestWorks, whose corresponding ManifestWorks are missing on the hub cluster, from the managed cluster. If not present, the default value of the work agent will be used. If its value is set to \"INFINITE\", it means the AppliedManifestWorks will never been evicted from the managed cluster.",
"pattern": "^([0-9]+(s|m|h))+$|^INFINITE$",
"type": "string"
},
"bootstrapKubeConfigs": {
"description": "BootstrapKubeConfigSecrets is the list of secrets that reflects the Klusterlet.Spec.RegistrationConfiguration.BootstrapKubeConfigs.",
"properties": {
"localSecretsConfig": {
"description": "LocalSecretsConfig include a list of secrets that contains the kubeconfigs for ordered bootstrap kubeconifigs. The secrets must be in the same namespace where the agent controller runs.",
"properties": {
"hubConnectionTimeoutSeconds": {
"default": 600,
"description": "HubConnectionTimeoutSeconds is used to set the timeout of connecting to the hub cluster. When agent loses the connection to the hub over the timeout seconds, the agent do a rebootstrap. By default is 10 mins.",
"format": "int32",
"minimum": 180,
"type": "integer"
},
"kubeConfigSecrets": {
"description": "KubeConfigSecrets is a list of secret names. The secrets are in the same namespace where the agent controller runs.",
"items": {
"properties": {
"name": {
"description": "Name is the name of the secret.",
"type": "string"
}
},
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"type": {
"default": "None",
"description": "Type specifies the type of priority bootstrap kubeconfigs. By default, it is set to None, representing no priority bootstrap kubeconfigs are set.",
"enum": [
"None",
"LocalSecrets"
],
"type": "string"
}
},
"type": "object"
},
"hubKubeAPIServerCABundle": {
"description": "HubKubeAPIServerCABundle is the CA bundle to verify the server certificate of the hub kube API against. If not present, CA bundle will be determined with the logic below: 1). Use the certificate of the named certificate configured in APIServer/cluster if FQDN matches; 2). Otherwise use the CA certificates from kube-root-ca.crt ConfigMap in the cluster namespace; \n Deprecated and maintained for backward compatibility, use HubKubeAPIServerConfig.ServerVarificationStrategy and HubKubeAPIServerConfig.TrustedCABundles instead",
"format": "byte",
"type": "string"
},
"hubKubeAPIServerConfig": {
"description": "HubKubeAPIServerConfig specifies the settings required for connecting to the hub Kube API server. If this field is present, the below deprecated fields will be ignored: - HubKubeAPIServerProxyConfig - HubKubeAPIServerURL - HubKubeAPIServerCABundle",
"properties": {
"proxyURL": {
"description": "ProxyURL is the URL to the proxy to be used for all requests made by client If an HTTPS proxy server is configured, you may also need to add the necessary CA certificates to TrustedCABundles.",
"type": "string"
},
"serverVerificationStrategy": {
"description": "ServerVerificationStrategy is the strategy used for verifying the server certification; The value could be \"UseSystemTruststore\", \"UseAutoDetectedCABundle\", \"UseCustomCABundles\", empty. \n When this strategy is not set or value is empty; if there is only one klusterletConfig configured for a cluster, the strategy is eaual to \"UseAutoDetectedCABundle\", if there are more than one klusterletConfigs, the empty strategy will be overrided by other non-empty strategies.",
"enum": [
"UseSystemTruststore",
"UseAutoDetectedCABundle",
"UseCustomCABundles"
],
"type": "string"
},
"trustedCABundles": {
"description": "TrustedCABundles refers to a collection of user-provided CA bundles used for verifying the server certificate of the hub Kubernetes API If the ServerVerificationStrategy is set to \"UseSystemTruststore\", this field will be ignored. Otherwise, the CA certificates from the configured bundles will be appended to the klusterlet CA bundle.",
"items": {
"description": "CABundle is a user-provided CA bundle",
"properties": {
"caBundle": {
"description": "CABundle refers to a ConfigMap with label \"import.open-cluster-management.io/ca-bundle\" containing the user-provided CA bundle The key of the CA data could be \"ca-bundle.crt\", \"ca.crt\", or \"tls.crt\".",
"properties": {
"name": {
"description": "name is the metadata.name of the referenced config map",
"type": "string"
},
"namespace": {
"description": "name is the metadata.namespace of the referenced config map",
"type": "string"
}
},
"required": [
"name",
"namespace"
],
"type": "object"
},
"name": {
"description": "Name is the identifier used to reference the CA bundle; Do not use \"auto-detected\" as the name since it is the reserved name for the auto-detected CA bundle.",
"type": "string"
}
},
"required": [
"caBundle",
"name"
],
"type": "object"
},
"type": "array",
"x-kubernetes-list-map-keys": [
"name"
],
"x-kubernetes-list-type": "map"
},
"url": {
"description": "URL is the endpoint of the hub Kube API server. If not present, the .status.apiServerURL of Infrastructure/cluster will be used as the default value. e.g. `oc get infrastructure cluster -o jsonpath='{.status.apiServerURL}'`",
"type": "string"
}
},
"type": "object"
},
"hubKubeAPIServerProxyConfig": {
"description": "HubKubeAPIServerProxyConfig holds proxy settings for connections between klusterlet/add-on agents on the managed cluster and the kube-apiserver on the hub cluster. Empty means no proxy settings is available. \n Deprecated and maintained for backward compatibility, use HubKubeAPIServerConfig.ProxyURL instead",
"properties": {
"caBundle": {
"description": "CABundle is a CA certificate bundle to verify the proxy server. It will be ignored if only HTTPProxy is set; And it is required when HTTPSProxy is set and self signed CA certificate is used by the proxy server.",
"format": "byte",
"type": "string"
},
"httpProxy": {
"description": "HTTPProxy is the URL of the proxy for HTTP requests",
"type": "string"
},
"httpsProxy": {
"description": "HTTPSProxy is the URL of the proxy for HTTPS requests HTTPSProxy will be chosen if both HTTPProxy and HTTPSProxy are set.",
"type": "string"
}
},
"type": "object"
},
"hubKubeAPIServerURL": {
"description": "HubKubeAPIServerURL is the URL of the hub Kube API server. If not present, the .status.apiServerURL of Infrastructure/cluster will be used as the default value. e.g. `oc get infrastructure cluster -o jsonpath='{.status.apiServerURL}'` \n Deprecated and maintained for backward compatibility, use HubKubeAPIServerConfig.URL instead",
"type": "string"
},
"installMode": {
"description": "InstallMode is the mode to install the klusterlet",
"properties": {
"noOperator": {
"description": "NoOperator is the setting of klusterlet installation when install type is noOperator.",
"properties": {
"postfix": {
"description": "Postfix is the postfix of the klusterlet name. The name of the klusterlet is \"klusterlet\" if it is not set, and \"klusterlet-{Postfix}\". The install namespace is \"open-cluster-management-agent\" if it is not set, and \"open-cluster-management-{Postfix}\".",
"maxLength": 33,
"pattern": "^[-a-z0-9]*[a-z0-9]$",
"type": "string"
}
},
"type": "object"
},
"type": {
"default": "default",
"description": "InstallModeType is the type of install mode.",
"enum": [
"default",
"noOperator"
],
"type": "string"
}
},
"type": "object"
},
"nodePlacement": {
"description": "NodePlacement enables explicit control over the scheduling of the agent components. If the placement is nil, the placement is not specified, it will be omitted. If the placement is an empty object, the placement will match all nodes and tolerate nothing.",
"properties": {
"nodeSelector": {
"additionalProperties": {
"type": "string"
},
"description": "NodeSelector defines which Nodes the Pods are scheduled on. The default is an empty list.",
"type": "object"
},
"tolerations": {
"description": "Tolerations are attached by pods to tolerate any taint that matches the triple <key,value,effect> using the matching operator <operator>. The default is an empty list.",
"items": {
"description": "The pod this Toleration is attached to tolerates any taint that matches the triple <key,value,effect> using the matching operator <operator>.",
"properties": {
"effect": {
"description": "Effect indicates the taint effect to match. Empty means match all taint effects. When specified, allowed values are NoSchedule, PreferNoSchedule and NoExecute.",
"type": "string"
},
"key": {
"description": "Key is the taint key that the toleration applies to. Empty means match all taint keys. If the key is empty, operator must be Exists; this combination means to match all values and all keys.",
"type": "string"
},
"operator": {
"description": "Operator represents a key's relationship to the value. Valid operators are Exists and Equal. Defaults to Equal. Exists is equivalent to wildcard for value, so that a pod can tolerate all taints of a particular category.",
"type": "string"
},
"tolerationSeconds": {
"description": "TolerationSeconds represents the period of time the toleration (which must be of effect NoExecute, otherwise this field is ignored) tolerates the taint. By default, it is not set, which means tolerate the taint forever (do not evict). Zero and negative values will be treated as 0 (evict immediately) by the system.",
"format": "int64",
"type": "integer"
},
"value": {
"description": "Value is the taint value the toleration matches to. If the operator is Exists, the value should be empty, otherwise just a regular string.",
"type": "string"
}
},
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"pullSecret": {
"description": "PullSecret is the name of image pull secret.",
"properties": {
"apiVersion": {
"description": "API version of the referent.",
"type": "string"
},
"fieldPath": {
"description": "If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: \"spec.containers{name}\" (where \"name\" refers to the name of the container that triggered the event) or if no container name is specified \"spec.containers[2]\" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object. TODO: this design is not final and this field is subject to change in the future.",
"type": "string"
},
"kind": {
"description": "Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds",
"type": "string"
},
"name": {
"description": "Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names",
"type": "string"
},
"namespace": {
"description": "Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/",
"type": "string"
},
"resourceVersion": {
"description": "Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency",
"type": "string"
},
"uid": {
"description": "UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids",
"type": "string"
}
},
"type": "object",
"x-kubernetes-map-type": "atomic"
},
"registries": {
"description": "Registries includes the mirror and source registries. The source registry will be replaced by the Mirror.",
"items": {
"properties": {
"mirror": {
"description": "Mirror is the mirrored registry of the Source. Will be ignored if Mirror is empty.",
"type": "string"
},
"source": {
"description": "Source is the source registry. All image registries will be replaced by Mirror if Source is empty.",
"type": "string"
}
},
"required": [
"mirror"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"status": {
"description": "Status defines the observed state of KlusterletConfig",
"type": "object"
}
},
"type": "object"
}
},
"served": true,
"storage": true,
"subresources": {
"status": {}
}
}
]
},
"status": {
"acceptedNames": {
"kind": "",
"plural": ""
},
"conditions": [],
"storedVersions": []
}
}
1.12.9.18. 1 つの klusterletconfig のクエリー リンクのコピーリンクがクリップボードにコピーされました!
GET /config.open-cluster-management.io/v1alpha1/klusterletconfigs/{klusterletconfig_name}
1.12.9.19. 説明 リンクのコピーリンクがクリップボードにコピーされました!
1 つの KlusterletConfig に対してクエリーを実行して詳細を確認します。
1.12.9.20. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
klusterletconfig_name | クエリーを実行する klusterletconfig の名前。 | string |
1.12.9.21. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 |
|
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.9.22. タグ リンクのコピーリンクがクリップボードにコピーされました!
- klusterletconfigs.config.open-cluster-management.io
1.12.9.23. klusterletconfig の削除 リンクのコピーリンクがクリップボードにコピーされました!
DELETE /config.open-cluster-management.io/v1alpha1/klusterletconfigs/{klusterletconfig_name}
1.12.9.24. 説明 リンクのコピーリンクがクリップボードにコピーされました!
1 つの KlusterletConfig を削除します。
1.12.9.25. パラメーター リンクのコピーリンクがクリップボードにコピーされました!
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| Header |
COOKIE | Authorization: Bearer {ACCESS_TOKEN}。ACCESS_TOKEN はユーザーのアクセストークンに置き換えます。 | string |
| Path |
klusterletconfig_name | 削除する klusterletconfig の名前。 | string |
1.12.9.26. レスポンス リンクのコピーリンクがクリップボードにコピーされました!
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 成功 | コンテンツなし |
| 403 | アクセス禁止 | コンテンツなし |
| 404 | リソースが見つからない | コンテンツなし |
| 500 | 内部サービスエラー | コンテンツなし |
| 503 | サービスが利用できない | コンテンツなし |
1.12.9.27. タグ リンクのコピーリンクがクリップボードにコピーされました!
- klusterletconfig.authentication.open-cluster-management.io
1.12.9.28. 定義 リンクのコピーリンクがクリップボードにコピーされました!
1.12.9.29. klusterletconfig リンクのコピーリンクがクリップボードにコピーされました!
| 名前 | 説明 | スキーマ |
|---|---|---|
|
apiVersion | klusterletconfig のバージョン管理されたスキーマ。 | string |
|
kind | REST リソースを表す文字列の値 | string |
|
metadata |
| object |
|
spec |
|